EZ_TreeFindNode(3)

NAME
EZ_TreeFindNodeUsingItem - search an item in a tree

SYNOPSIS
#include <EZ.h>

EZ_TreeNode  *EZ_TreeFindNodeUsingItem(EZ_TreeNode *root,
                                        EZ_Item *item)

ARGUMENTS
root Specifies the root node of a tree.

item Specifies a display item.

DESCRIPTION

EZ_TreeFindNodeUsingItem searches the tree rooted at root for a node that containing the display item item. If found, it returns the node, otherwise it returns NULL.

SEE ALSO
 EZ_CreateTreeNode(3), EZ_CreateDirTree(3), EZ_TreeFindNode(3)